player = {}

player.x = 500
player.y = 250

player.yv = 0
player.xv = 0

player.w = 20
player.h = 20

player.acc = 10
player.fric = 3.25

player.r = 0

enemie = {}
enemie.x = 0
enemie.y = 0
enemie.w = 0
enemie.h = 0

blocks = {}

numAgro = 0

function player_draw() --Draw Character
	love.graphics.setColor(255,255,255)
	love.graphics.rectangle("line",player.x,player.y,player.w,player.h)

	love.graphics.setColor(0,0,0)
	for i,v in ipairs(blocks) do
		love.graphics.rectangle("line",v.x,v.y,v.w,v.h)
	end

	love.graphics.setColor(255,255,255)
	love.graphics.rectangle("line",enemie.x,enemie.y,20,20)
end


function player_move(dt) --Movement
	player.xv = player.xv * (1 - math.min(dt * player.fric, 1)) 
	player.yv = player.yv * (1 - math.min(dt * player.fric, 1)) 
	player.x = player.x + player.xv
	player.y = player.y + player.yv
	
	if love.keyboard.isDown("d")
	and player.xv < 100
		then
	player.xv = player.xv + player.acc * dt
	end
	
	if love.keyboard.isDown("a")
	and player.xv > -100
		then
	player.xv = player.xv - player.acc * dt
	end
	
	if love.keyboard.isDown("s")
	and player.yv < 100
		then
	player.yv = player.yv + player.acc * dt
	end
	
	if love.keyboard.isDown("w")
	and player.xv > -100
		then
	player.yv = player.yv - player.acc * dt
	end

	local x1 = player.x + ( player.w / 2 )
	local y1 = player.y + ( player.h / 2 ) 
	local x2, y2 = love.mouse.getPosition()
	player.r = math.atan2(y2-y1, x2-x1)
end

function player_boundary(dt)

end

function Stealth_Update()
	for i,v in ipairs(blocks) do
		if boxSegmentIntersection(v.x,v.y,v.w,v.h, player.x,player.y, enemie.x, enemie.y) == nil
			then
			love.graphics.setBackgroundColor(255,0,0)
		else
			love.graphics.setBackgroundColor(0,255,0)
		end
	end
end

function addBlock(x,y,w,h)
	local bl = {}
	bl.x = x
	bl.y = y
	bl.w = w
	bl.h = h
	table.insert(blocks, bl)
end
